> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List VMS Scan Configurations



## OpenAPI

````yaml get /vms/scan-configurations
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /vms/scan-configurations:
    get:
      tags:
        - vms
      summary: List VMS Scan Configurations
      operationId: get_vms_scan_configurations
      parameters:
        - name: enableCursor
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Enable cursor based pagination instead of default offset-based
              pagination
            default: false
            title: Enablecursor
          description: >-
            Enable cursor based pagination instead of default offset-based
            pagination
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
          example: '2021-01-01T00:00:00+00:00'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Offset index (starting index of page)
            default: 0
            title: Offset
          description: Offset index (starting index of page)
        - name: excludeTotal
          in: query
          required: false
          schema:
            type: boolean
            description: Skips returning the total rows, total is set to null when true
            default: false
            title: Excludetotal
          description: Skips returning the total rows, total is set to null when true
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Skip token to continue from the last item in the previous page
            title: Cursor
          description: Skip token to continue from the last item in the previous page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: >-
                      #/components/schemas/OffsetPaginatedResponse_VMSScanConfigurationRespModel_
                  - $ref: >-
                      #/components/schemas/KeySetPaginatedResponse_VMSScanConfigurationRespModel_
                title: Response Get Vms Scan Configurations
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    OffsetPaginatedResponse_VMSScanConfigurationRespModel_:
      properties:
        count:
          type: integer
          title: Count
          description: Number of items return in the response
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items that can be returned
        items:
          items:
            $ref: '#/components/schemas/VMSScanConfigurationRespModel'
          type: array
          title: Items
          description: List of items returned in the response
      type: object
      required:
        - count
        - items
      title: OffsetPaginatedResponse[VMSScanConfigurationRespModel]
    KeySetPaginatedResponse_VMSScanConfigurationRespModel_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/VMSScanConfigurationRespModel'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: KeySetPaginatedResponse[VMSScanConfigurationRespModel]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VMSScanConfigurationRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the VMS scan configuration
        vendor:
          allOf:
            - $ref: '#/components/schemas/VulnerabilityVendor'
          description: Source vendor
        vendor_id:
          type: string
          title: Vendor Id
          description: Pass through value of vendor ID for the scan configuration
        name:
          type: string
          title: Name
          description: Name of the scan configuration
        owner:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner
          description: Owner of the scan configuration
        severity_frequency:
          anyOf:
            - $ref: '#/components/schemas/VMSScanConfigurationSeverityFrequency'
            - type: 'null'
          description: Severity frequency result of latest scan for the scan configuration
        device_target_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Device Target Count
          description: >-
            Number of devices targeted in the latest scan for the scan
            configuration
        scan_targets:
          items:
            type: string
          type: array
          title: Scan Targets
          description: >-
            List of scan targets in the latest scan for the scan configuration.
            It can be IP addresses, hyphenated IP ranges, etc
        is_scheduled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Scheduled
          description: Is the scan configuration scheduled or on demand
        is_enabled:
          type: boolean
          title: Is Enabled
          description: Is the scan configuration active/enabled or inactive/disabled
        last_scan_vendor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Scan Vendor Id
          description: Vendor's ID of the last scan for the scan configuration
        vendor_data:
          anyOf:
            - type: object
            - type: 'null'
          title: Vendor Data
          description: Vendor specific pass through data, values can vary based on vendor
      type: object
      required:
        - id
        - vendor
        - vendor_id
        - name
        - owner
        - severity_frequency
        - device_target_count
        - scan_targets
        - is_scheduled
        - is_enabled
        - last_scan_vendor_id
      title: VMSScanConfiguration
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VulnerabilityVendor:
      type: string
      enum:
        - tenable
        - qualys
        - snyk
        - insightvm
        - crowdstrike_spotlight
        - sentinelone_vms
        - MS_DEFENDER_VMS
        - WIZ_VMS
        - AWS_INSPECTOR2
      title: VulnerabilityVendor
    VMSScanConfigurationSeverityFrequency:
      properties:
        critical:
          type: integer
          title: Critical
          description: Number of critical severity vulnerabilities
        high:
          type: integer
          title: High
          description: Number of high severity vulnerabilities
        medium:
          type: integer
          title: Medium
          description: Number of medium severity vulnerabilities
        low:
          type: integer
          title: Low
          description: Number of low severity vulnerabilities
        info:
          type: integer
          title: Info
          description: Number of info severity vulnerabilities
      type: object
      required:
        - critical
        - high
        - medium
        - low
        - info
      title: VMSScanConfigurationSeverityFrequency
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````